Create merchant deposit
Create a deposit for a user. You can create a deposit in two ways:
Load a user's inventory BEFORE creating a deposit. Create a deposit with an already filled array of items (
steam_id,trade_url_token,game,itemsARE REQUIRED FOR THIS ACTION!).Create a deposit without items, call the /create-steam-offer method later.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
merchantrequired | body | string | Your merchant name |
deposit_idrequired | body | string | Your unique custom deposit id (string, max 50 characters) |
steam_idoptional | body | string | Steam ID (17 digits) |
trade_url_tokenoptional | body | string | Trade URL token (8 characters) |
gameoptional | body | enum | Game type enum: csgo |
itemsoptional | body | array<string> | If you want a Steam offer to be created after this request, you must provide a list of Steam item IDs (asset IDs) as an array of strings. Steam_id, trade_url_token and game are required when sending items! |
{
"merchant": "mymerchant",
"deposit_id": "123456asd",
"steam_id": "76561198000000000",
"trade_url_token": "abcdefgh",
"game": "csgo",
"items": [
"123",
"456",
"789"
]
}Responses
200 **Please open the schema to see the response structure, fields and their descriptions**
{
"status": "success",
"url": "https://pay.waxpeer.com/merchant/mymerchant?hash=7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
"transaction_id": 123456,
"hash": "7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
"listed": [
{
"name": "AWP | Asiimov (Field-tested)",
"item_id": "141414144",
"price": 1000
}
],
"failed": [
{
"item_id": "141414145",
"price": 1000,
"name": "AWP | Asiimov (Field-tested)",
"error_message": "item_not_acceptable"
}
]
}